Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.jeditplugin
Class Config

    java.lang.Object
      java.util.Dictionary<K,V>
          java.util.Hashtable<java.lang.Object,java.lang.Object>
              java.util.Properties
                  jason.jeditplugin.Config

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.Object,java.lang.Object>

    public class Config

extends java.util.Properties

Jason configuration (used by JasonID to generate the project's scripts)

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ANT_LIB` path to ant home (jar directory)
`static java.lang.String` | `CHECK_VERSION`
`static java.lang.String` | `CLOSEALL`
`static java.lang.String` | `JADE_ARGS` runtime jade arguments (the same used in jade.Boot)
`static java.lang.String` | `JADE_JAR` path to jade.jar
`static java.lang.String` | `JADE_RMA` boolean, whether to start jade RMA or not
`static java.lang.String` | `JADE_SNIFFER` boolean, whether to start jade Sniffer or not
`static java.lang.String` | `JASON_JAR` path to jason.jar
`static java.lang.String` | `JAVA_HOME` path to java home
`static java.lang.String` | `RUN_AS_THREAD`
`static java.lang.String` | `SACI_JAR` path to saci.jar
`static java.lang.String` | `SHELL_CMD`
`static java.lang.String` | `WARN_SING_VAR`

Fields inherited from class java.util.Properties
`defaults`

Method Summary
`static boolean` | `checkAntLib(java.lang.String al)`
`static boolean` | `checkJar(java.lang.String jar)`
`static boolean` | `checkJavaHomePath(java.lang.String javaHome)`
`void` | `fix()` Set most important parameters with default values
`static Config` | `get()`
`static Config` | `get(boolean tryToFixConfig)`
`java.lang.String` | `getAntLib()` Returns the path to the ant home directory (where its jars are stored)
`java.lang.String[]` | `getAvailableInfrastructures()`
`boolean` | `getBoolean(java.lang.String key)`
`java.lang.String` | `getInfrastructureFactoryClass(java.lang.String infraId)`
`java.lang.String` | `getJadeArgs()` Return the jade args (those used in jade.Boot)
`java.lang.String[]` | `getJadeArrayArgs()`
`java.lang.String` | `getJadeJar()` Returns the full path to the jade.jar file
`java.lang.String` | `getJasonBuiltDate()`
`java.lang.String` | `getJasonHome()` returns the jason home (based on jason.jar)
`java.lang.String` | `getJasonJar()` Returns the full path to the jason.jar file
`java.lang.String` | `getJasonRunningVersion()`
`java.lang.String` | `getJavaHome()` Returns the path to the java home directory
`java.lang.String` | `getSaciJar()` Returns the full path to the saci.jar file
`java.lang.String` | `getShellCommand()`
`java.lang.String` | `getTemplate(java.lang.String templateName)`
`java.io.File` | `getUserConfFile()` returns the file where the user preferences are stored
`static boolean` | `isWindows()`
`boolean` | `load()` Returns true if the file was loaded
`static void` | `main(java.lang.String[] args)`
`void` | `setAntLib(java.lang.String al)`
`void` | `setJavaHome(java.lang.String jh)`
`void` | `store()`

Methods inherited from class java.util.Properties
`getProperty, getProperty, list, list, load, load, loadFromXML, propertyNames, save, setProperty, store, store, storeToXML, storeToXML, stringPropertyNames`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### JASON_JAR

    public static final java.lang.String JASON_JAR

  path to jason.jar

  See Also:
    Constant Field Values

### SACI_JAR

    public static final java.lang.String SACI_JAR

  path to saci.jar

  See Also:
    Constant Field Values

### ANT_LIB

    public static final java.lang.String ANT_LIB

  path to ant home (jar directory)

  See Also:
    Constant Field Values

### JADE_JAR

    public static final java.lang.String JADE_JAR

  path to jade.jar

  See Also:
    Constant Field Values

### JADE_ARGS

    public static final java.lang.String JADE_ARGS

  runtime jade arguments (the same used in jade.Boot)

  See Also:
    Constant Field Values

### JADE_RMA

    public static final java.lang.String JADE_RMA

  boolean, whether to start jade RMA or not

  See Also:
    Constant Field Values

### JADE_SNIFFER

    public static final java.lang.String JADE_SNIFFER

  boolean, whether to start jade Sniffer or not

  See Also:
    Constant Field Values

### JAVA_HOME

    public static final java.lang.String JAVA_HOME

  path to java home

  See Also:
    Constant Field Values

### RUN_AS_THREAD

    public static final java.lang.String RUN_AS_THREAD

See Also:
  Constant Field Values

### SHELL_CMD

    public static final java.lang.String SHELL_CMD

See Also:
  Constant Field Values

### CLOSEALL

    public static final java.lang.String CLOSEALL

See Also:
  Constant Field Values

### CHECK_VERSION

    public static final java.lang.String CHECK_VERSION

See Also:
  Constant Field Values

### WARN_SING_VAR

    public static final java.lang.String WARN_SING_VAR

See Also:
  Constant Field Values

Method Detail

### get

    public static Config get()

### get

    public static Config get(boolean tryToFixConfig)

### getUserConfFile

    public java.io.File getUserConfFile()

  returns the file where the user preferences are stored

### load

    public boolean load()

  Returns true if the file was loaded

### getBoolean

    public boolean getBoolean(java.lang.String key)

### getJasonJar

    public java.lang.String getJasonJar()

  Returns the full path to the jason.jar file

### getJasonHome

    public java.lang.String getJasonHome()

  returns the jason home (based on jason.jar)

### getSaciJar

    public java.lang.String getSaciJar()

  Returns the full path to the saci.jar file

### getJadeJar

    public java.lang.String getJadeJar()

  Returns the full path to the jade.jar file

### getJadeArgs

    public java.lang.String getJadeArgs()

  Return the jade args (those used in jade.Boot)

### getJadeArrayArgs

    public java.lang.String[] getJadeArrayArgs()

### getJavaHome

    public java.lang.String getJavaHome()

  Returns the path to the java home directory

### getAntLib

    public java.lang.String getAntLib()

  Returns the path to the ant home directory (where its jars are stored)

### setJavaHome

    public void setJavaHome(java.lang.String jh)

### setAntLib

    public void setAntLib(java.lang.String al)

### getShellCommand

    public java.lang.String getShellCommand()

### fix

    public void fix()

  Set most important parameters with default values

### store

    public void store()

### getAvailableInfrastructures

    public java.lang.String[] getAvailableInfrastructures()

### getInfrastructureFactoryClass

    public java.lang.String getInfrastructureFactoryClass(java.lang.String infraId)

### getJasonRunningVersion

    public java.lang.String getJasonRunningVersion()

### getJasonBuiltDate

    public java.lang.String getJasonBuiltDate()

### checkJar

    public static boolean checkJar(java.lang.String jar)

### checkJavaHomePath

    public static boolean checkJavaHomePath(java.lang.String javaHome)

### checkAntLib

    public static boolean checkAntLib(java.lang.String al)

### isWindows

    public static boolean isWindows()

### getTemplate

    public java.lang.String getTemplate(java.lang.String templateName)

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD